Package org.apache.solr.common

## Class ConditionalKeyMapWriter.EntryWriterWrapper

- java.lang.Object
- - org.apache.solr.common.ConditionalKeyMapWriter.EntryWriterWrapper

All Implemented Interfaces:
  `MapWriter.EntryWriter`

Enclosing class:
  ConditionalKeyMapWriter

    public static class ConditionalKeyMapWriter.EntryWriterWrapper
    extends Object
    implements MapWriter.EntryWriter

### Constructor Summary

Constructors
`EntryWriterWrapper​(MapWriter.EntryWriter delegate, Predicate<CharSequence> predicate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MapWriter.EntryWriter` `put​(CharSequence k, boolean v)`
`MapWriter.EntryWriter` `put​(CharSequence k, double v)`
`MapWriter.EntryWriter` `put​(CharSequence k, float v)`
`MapWriter.EntryWriter` `put​(CharSequence k, int v)`
`MapWriter.EntryWriter` `put​(CharSequence k, long v)`
`MapWriter.EntryWriter` `put​(CharSequence k, Object v)` Writes a key value into the map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter.EntryWriter

`getBiConsumer, put, put, putIfNotNull, putIfNotNull, putNoEx`

### Constructor Detail

#### EntryWriterWrapper

    public EntryWriterWrapper​(MapWriter.EntryWriter delegate,
                              Predicate<CharSequence> predicate)

### Method Detail

#### put

    public MapWriter.EntryWriter put​(CharSequence k,
                                     Object v)
                              throws IOException

Description copied from interface: `MapWriter.EntryWriter`
Writes a key value into the map

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Parameters:
  `k` - The key
  `v` - The value can be any supported object
Throws:
  `IOException`

#### put

    public MapWriter.EntryWriter put​(CharSequence k,
                                     int v)
                              throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

#### put

    public MapWriter.EntryWriter put​(CharSequence k,
                                     long v)
                              throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

#### put

    public MapWriter.EntryWriter put​(CharSequence k,
                                     float v)
                              throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

#### put

    public MapWriter.EntryWriter put​(CharSequence k,
                                     double v)
                              throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`

#### put

    public MapWriter.EntryWriter put​(CharSequence k,
                                     boolean v)
                              throws IOException

Specified by:
  `put` in interface `MapWriter.EntryWriter`
Throws:
  `IOException`